<?php
$output = $title = $el_class = $open = $css_animation = '';
extract(shortcode_atts(array(
  'title' => __("Click to toggle", "js_composer"),
  'el_class' => '',
  'open' => 'false',
  'css_animation' => ''
), $atts));

$el_class = $this->getExtraClass($el_class);
$open = ( $open == 'true' ) ? ' wpb_toggle_title_active' : '';
$el_class .= ( $open == ' wpb_toggle_title_active' ) ? ' wpb_toggle_open' : '';
$body_class = ( $open == ' wpb_toggle_title_active' ) ? ' closed' : '';

$css_class =  apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, 'wpb_toggle'.$open, $this->settings['base']);
$css_class .= $this->getCSSAnimation($css_animation);
$output .= '<div class="panel panel-default panel-toggle '. $body_class .'">';
$output .= apply_filters('wpb_toggle_heading', '<h3 class="panel-heading '.$css_class.'">'.$title.'</h3>', array('title'=>$title, 'open'=>$open));
$css_class =  apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, 'wpb_toggle_content'.$el_class, $this->settings['base']);
$output .= '<div class="panel-body '.$css_class.'">'.wpb_js_remove_wpautop($content, true).'</div>';
$output .= '</div>'.$this->endBlockComment('toggle')."\n";

echo $output;